Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.hash
Class TupleLoaderHashHSQL

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
                  com.hp.hpl.jena.sdb.layout2.hash.TupleLoaderHashBase
                      com.hp.hpl.jena.sdb.layout2.hash.TupleLoaderHashHSQL

All Implemented Interfaces:
  TupleLoaderBasics, TupleLoader

    public class TupleLoaderHashHSQL

extends TupleLoaderHashBase

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`TupleLoaderBase.PreparedNode`

Constructor Summary
`TupleLoaderHashHSQL(SDBConnection connection, TableDesc tableDesc, int chunkSize)`

Method Summary
`boolean` | `clearsOnCommit()`
`String[]` | `getCreateTempTable()`
`String[]` | `getNodeColTypes()`
`String` | `getTupleColType()`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.hash.TupleLoaderHashBase
`getDeleteAllTuples, getDeleteTuples, getLoadTuples`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`close, finish, getArity, getClearTempNodes, getClearTempTuples, getCreateTempNodes, getCreateTempTuples, getInsertTempNodes, getInsertTempTuples, getLoadNodes, getNodeLoader, getTupleLoader, load, unload`

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`getTableDesc, getTableName, setTableDesc, start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLoaderHashHSQL

    public TupleLoaderHashHSQL(SDBConnection connection,
                               TableDesc tableDesc,
                               int chunkSize)

Method Detail

### getNodeColTypes

    public String[] getNodeColTypes()

### getTupleColType

    public String getTupleColType()

### getCreateTempTable

    public String[] getCreateTempTable()

### clearsOnCommit

    public boolean clearsOnCommit()

  Specified by:
    `clearsOnCommit` in interface `TupleLoaderBasics`
  Overrides:
    `clearsOnCommit` in class `TupleLoaderBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.